<template>
  <div class="wrap">
    <Child1 :eventBus="eventBus"/>
    <p>................................</p>

    <Child2 :eventBus="eventBus"/>

    <p>................................</p>
    <Child3 :eventBus="eventBus"/>
  </div>
</template>

<script>

import Child1 from './Child1'
import Child2 from './Child2'
import Child3 from './Child3'

import Vue from 'vue';
const eventBus=new Vue();

export default {
  name: 'Parent',
  data () {
    return {
      msg: 'Parent',
      eventBus:eventBus
    }
  },
  components:{
    Child1,
    Child2,
    Child3
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
